Bug 98270 - Missing rpmrc option to alpha compiles
Summary: Missing rpmrc option to alpha compiles
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: alpha Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 98299
TreeView+ depends on / blocked
 
Reported: 2003-06-30 03:48 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-03 15:26:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-06-30 03:48:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:1.3a) Gecko/20030120

Description of problem:
There is a bug in the gcc compiler chain. This is the first part of the fix. aka
workaround. diff is below. this is aime out the relocation errors occuring when
compiling packages. If packages are not correctly listening to the rpm opt flags
then other patchs may be need. Binutils really needs to recompiled after this
fix. Like I said it's sorta of a work around but by the fix going here about 60
percent of the packages are fixed for minimum effort. This is also a first step
to fixxing mozilla and openoffice for the alpha.....



--- /usr/lib/rpm/rpmrc.orig     2003-06-29 20:42:00.000000000 -0700
+++ /usr/lib/rpm/rpmrc  2003-06-29 20:42:24.000000000 -0700
@@ -19,12 +19,12 @@
 optflags: ia64 -O2 -g
 optflags: x86_64 -O2 -g
 
-optflags: alpha -O2 -g -mieee
-optflags: alphaev5 -O2 -g -mieee -mcpu=ev5
-optflags: alphaev56 -O2 -g -mieee -mcpu=ev56
-optflags: alphapca56 -O2 -g -mieee -mcpu=pca56
-optflags: alphaev6 -O2 -g -mieee -mcpu=ev6
-optflags: alphaev67 -O2 -g -mieee -mcpu=ev67
+optflags: alpha -O2 -g -mieee -fPIC
+optflags: alphaev5 -O2 -g -mieee -mcpu=ev5 -fPIC
+optflags: alphaev56 -O2 -g -mieee -mcpu=ev56 -fPIC
+optflags: alphapca56 -O2 -g -mieee -mcpu=pca56 -fPIC
+optflags: alphaev6 -O2 -g -mieee -mcpu=ev6 -fPIC
+optflags: alphaev67 -O2 -g -mieee -mcpu=ev67 -fPIC
 
 optflags: sparc -O2 -g -m32 -mtune=ultrasparc
 optflags: sparcv9 -O2 -g -m32 -mcpu=ultrasparc


Version-Release number of selected component (if applicable):
rpm-4.2-0.69

How reproducible:
Always

Steps to Reproduce:
1.compile a package that produces relocatable objects.
2.link against previous package, dynamically
3.
    

Actual Results:  gp relocation errors

Expected Results:  no errors

Additional info:

gcc maybe is the real issue but this will fix it.

Comment 1 Jeff Johnson 2003-07-03 15:26:41 UTC
Adding "-fPIC" isn't the right thing to do in general.

There's certainly nothing from stopping you from configuring
rpm howver you wish.


Note You need to log in before you can comment on or make changes to this bug.